%define tarname		WebTest

%bcond_without docs

Summary:	Helper to test WSGI applications
Name:		python-webtest
Version:	2.0.35
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
Url:		https://docs.pylonsproject.org/projects/webtest/en/latest/
Source0:        https://pypi.io/packages/source/W/%{tarname}/%{tarname}-%{version}.tar.gz
BuildArch:	noarch

%description
This package wraps any WSGI application and makes it easy to send test
requests to that application, without starting up an HTTP server.

It provides convenient full-stack testing of applications written with
any WSGI-compatible framework.

WebTest is based on paste.fixture.TestApp.

#--------------------------------------------------------------------

%package -n	python3-webtest
Summary:	Helper to test WSGI applications
Group:		Development/Python
BuildRequires:	python3dist(setuptools)
# for docs
%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pylons-sphinx-themes)
BuildRequires:  python3dist(beautifulsoup4)
BuildRequires:  python3dist(soupsieve)
BuildRequires:  python3dist(webob)
BuildRequires:  python3dist(waitress)
%endif
%{?python_provide:%python_provide python3-webtest}

%description -n python3-webtest
This package wraps any WSGI application and makes it easy to send test
requests to that application, without starting up an HTTP server.

It provides convenient full-stack testing of applications written with
any WSGI-compatible framework.

WebTest is based on paste.fixture.TestApp.

%files -n python3-webtest
%if %{with docs}
%doc docs/_build/html
%endif
%{python3_sitelib}/webtest
%{python3_sitelib}/WebTest-%{version}-py%{python3_version}.egg-info

#--------------------------------------------------------------------

%prep
%setup -q -n %{tarname}-%{version}

# Remove bundled egg-info
rm -rf %{tarname}.egg-info

%build
%py3_build

%if %{with_docs}
# doc build
PYTHONPATH=$(pwd) sphinx-build docs docs/_build/html
# clean leftovers
rm -f docs/_build/html/.buildinfo
%endif

%install
%py3_install


%changelog
* Fri May 01 2020 daviddavid <daviddavid> 2.0.35-1.mga8
+ Revision: 1577405
- new version: 2.0.35

* Thu Feb 20 2020 umeabot <umeabot> 2.0.34-2.mga8
+ Revision: 1547295
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 2.0.34-1.mga8
+ Revision: 1487834
- new version: 2.0.34

* Mon Sep 16 2019 daviddavid <daviddavid> 2.0.33-3.mga8
+ Revision: 1441892
- rebuild for python3.8
- drop python2 support

* Sun Aug 25 2019 wally <wally> 2.0.33-2.mga8
+ Revision: 1431900
- build html docs

* Sat Apr 20 2019 wally <wally> 2.0.33-1.mga7
+ Revision: 1394104
- new version 2.0.33

* Tue Jan 08 2019 tv <tv> 2.0.20-4.mga7
+ Revision: 1352365
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 2.0.20-3.mga7
+ Revision: 1290564
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.0.20-2.mga7
+ Revision: 1135692
- Rebuild for python 3.6

* Wed Dec 16 2015 daviddavid <daviddavid> 2.0.20-1.mga6
+ Revision: 910998
- new version: 2.0.20

* Sat Oct 17 2015 daviddavid <daviddavid> 2.0.18-2.mga6
+ Revision: 892345
- add python3 package

* Sat Oct 17 2015 daviddavid <daviddavid> 2.0.18-1.mga6
+ Revision: 892335
- new version: 2.0.18
- use new python macros (fix build failure)

* Wed Oct 15 2014 umeabot <umeabot> 2.0.6-8.mga5
+ Revision: 744034
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.6-7.mga5
+ Revision: 729992
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.6-6.mga5
+ Revision: 688418
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.0.6-4.mga4
+ Revision: 544490
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.6-3.mga4
+ Revision: 499718
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 11 2013 fwang <fwang> 2.0.6-2.mga4
+ Revision: 495088
- update file list

* Thu Aug 01 2013 neoclust <neoclust> 2.0.6-1.mga4
+ Revision: 462031
- New version

* Sun Jan 13 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 379680
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 1.2.3-1.mga3
+ Revision: 313517
- imported package python-webtest


* Thu Mar 31 2011 Lev Givon <lev@mandriva.org> 1.2.3-1mdv2011.0
+ Revision: 649457
- import python-webtest


